From e9fe0f88770f55cd799e6c2d2fb44bfa5cbe80f3 Mon Sep 17 00:00:00 2001
From: Ismael Luceno <ismael@iodev.co.uk>
Date: Wed, 29 May 2019 07:09:33 +0200
Subject: [PATCH 11/23] configure: Improve compiler flags setup

Signed-off-by: Ismael Luceno <ismael@iodev.co.uk>
---
 configure | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

diff --git a/configure b/configure
index bd18811354da..d26b5792680e 100755
--- a/configure
+++ b/configure
@@ -46,12 +46,14 @@ echo '#define SIMPLEINIT_MSB_VERSION "'$VERSION'"' > defines.h
 echo '#define simpleinit_msb_version "simpleinit-msb-'$VERSION'"' >> defines.h
 echo >> defines.h
 
-CC=${CC-cc}
-CFLAGS=${CFLAGS-"-O"}
-LDFLAGS=${LDFLAGS-"-s"}
-echo CC=$CC >> make_include
-echo CFLAGS=$CFLAGS >> make_include
-echo LDFLAGS=$LDFLAGS >> make_include
+: ${CC:=gcc}
+: ${CFLAGS=-Wall -O2 -fomit-frame-pointer}
+: ${LDFLAGS=-s}
+cat >> make_include << EOF
+CC      = $CC
+CFLAGS  = $CFLAGS
+LDFLAGS = $LDFLAGS
+EOF
 
 DEFS=
 LIBS=
-- 
2.44.0

